Forgot your password?

Loopt Adds Support for Bold 9700 & Curve 85XX Devices

loopt-new2 Loopt recently added some features to their app for certain devices and they are slowly rolling it out to all BlackBerry devices. They have now added their latest features to the Bold 9700 and Curve 8520/8530 with a Storm version coming soon.

You can get the new Loopt for your BlackBerry at this link or click here to see all the features. There is also a new Tour version that fixes their GPS issues along with better Wi-Fi support/utilization.

4 total comments on this postSubmit your comment!
  1. Is loopt Safe?

  2. What I mean is by giving cell phone # etc wouldn’t it interfere with once privacy? How many BerryReview readers use Loopt here? Just want to know their experience.


  3. I was trying to use it until I received an error message “Sorry it looks like you have an unsupported device. We don’t support every phone on AT&T yet…….” I have a Bold 9700 and this article states that they support it!!! Maybe they need to check again….

  4. The install works from BB Appworld now. i just doesn’t work from their site when you try to install the app from the link that they provide!!

BlackBerry© is a registered Trademark of BlackBerry Limited. BerryReview is in no way affiliated with BlackBerry Limited though sometimes their lawyers send us love letters...

Copyright © 2007-‘2016’ BerryReview LLC